#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long x1,y1,x2,y2,a=0,b=0;
    scanf("%lld  %lld",&x1,&y1);
    scanf("%lld  %lld",&x2,&y2);
    b=(x1-x2)+y1;
    if(b==(x1-x2)+y1){
        a++;
    }
    b=(x2-x1)+y1;
    if(b==(x2-x1)+y2){
        a++;
    }
    printf("%lld",a);
    return 0;
}